%define drupaldir %{_datadir}/drupal6
Name: drupal6-views
Version:  2.16
Release:  3%{?dist}
Summary: Provides a method for site designers to control content presentation

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/views
Source0: http://ftp.drupal.org/files/projects/views-6.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6
Obsoletes: drupal-views <= 6.x.2.11

%description
The views module provides a flexible method for Drupal site designers
to control how lists of content (nodes) are presented. Traditionally,
Drupal has hard-coded most of this, particularly in how taxonomy and
tracker lists are formatted.

This tool is essentially a smart query builder that, given enough 
information, can build the proper query, execute it, and display the 
results. It has four modes, plus a special mode, and provides an 
impressive amount of functionality from these modes.

%prep

%setup -qn views

install -p -m 0644 %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/views
cp -pr * %{buildroot}%{drupaldir}/modules/views

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/views
%exclude %{drupaldir}/modules/views/*.txt

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 15 2011 Jon Ciesla <limb@jcomserv.net> - 2.16-1
- Update to 2.16, BZ 754076.

* Fri Nov 04 2011 Jon Ciesla <limb@jcomserv.net> - 2.14-1
- Update to 2.14, BZ 751044.

* Wed Nov 02 2011 Orion Poplawski <orion@cora.nwra.com> - 2.13-1
- Update to 2.13, fixes SA-CONTRIB-2011-052.

* Thu Jan 20 2011 Jon Ciesla <limb@jcomserv.net> - 2.12-2
- Corrected obsoletes.

* Wed Jan 19 2011 Jon Ciesla <limb@jcomserv.net> - 2.12-1
- Corrected version, license.

* Thu Jan 06 2011 Jon Ciesla <limb@jcomserv.net> - 6.x.2.12-2
- Review adjustments.

* Thu Dec 16 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.12-1
- New upstream, fixes SA-CONTRIB-2010-111.

* Fri Dec 03 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.11-2
- Fixed README naming.

* Fri Jun 18 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.11-1
- New upstream, fixes SA-CONTRIB-2010-067.

* Thu Apr 08 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.9-1
- New upstream, fixes SA-CONTRIB-2010-036.

* Tue Dec 01 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.2.7-1
- New upstream, BZ 541440.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.x.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 11 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.2.6-1
- New upstream, fixes SA-CONTRIB-2009-037.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.x.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.2-1
- New upstream, fixes SA-2008-075.

* Tue Nov 04 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.1-1
- New upstream.

* Mon Aug 11 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-0.1.beta4
- Review fixes.

* Mon Jun 16 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-0.beta4
- Updated for drupal 6.x.

* Wed Oct 24 2007 Jon Ciesla <limb@jcomserv.net> - 5.x.1.6-1
- Initial packaging.
